## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name arm-preprocessing
%global forgeurl https://github.com/firefly-cpp/arm-preprocessing

Name:           python-%{pypi_name}
Version:        0.2.3
Release:        %{autorelease}
Summary:        Data preprocessing for Association Rule Mining (ARM)
%global tag %{version}
%forgemeta
# SPDX
License:        MIT
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel
# Test dependency
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist sport-activities-features}

%global _description %{expand:
arm-preprocessing is a lightweight Python library supporting several
key steps involving data preparation, manipulation, and discretisation
for Association Rule Mining (ARM). 🧠 Embrace its minimalistic design
that prioritises simplicity. 💡 The framework is intended to be fully
extensible and offers seamless integration with related ARM libraries
(e.g., NiaARM). 🔗}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files arm_preprocessing


%check
%pytest -v


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md CHANGELOG.md CONTRIBUTING.md
%license LICENSE


%changelog
## START: Generated by rpmautospec
* Wed Jul 24 2024 Iztok Fister Jr <iztok@iztok.xyz> - 0.2.3-2
- Add test dependency manually

* Wed Jul 24 2024 Iztok Fister Jr <iztok@iztok.xyz> - 0.2.3-1
- Update to 0.2.3

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 26 2024 Python Maint <python-maint@redhat.com> - 0.2.2-2
- Rebuilt for Python 3.13

* Tue Apr 02 2024 Packit <hello@packit.dev> - 0.2.2-1
- Update to 0.2.2 upstream release
- Resolves: rhbz#2272745

* Mon Mar 18 2024 Sandro <devel@penguinpee.nl> - 0.2.1-1
- Initial release (RHBZ#2269698)
- Data preprocessing for Association Rule Mining (ARM)
## END: Generated by rpmautospec
